from buildbot.plugins import util
import re


@util.renderer
def is_build_script_available(props):
    # Actual check will got here
    return props.getProperty("build_available", default=False)


@util.renderer
def isnt_build_script_available(props):
    return not is_build_script_available(props)


@util.renderer
def is_test_script_available(props):
    # Actual check will got here
    return props.getProperty("test_available", default=False)


@util.renderer
def isnt_test_script_available(props):
    return not is_test_script_available(props)
